Package edu.wisc.game.tools

## Class MwSeries

- java.lang.Object
- - edu.wisc.game.tools.MwSeries

-     public class MwSeries
      extends Object

  An auxiliary class for MwByHuman, an MWSeries object contains the data for one series (group of episodes played by one player under the same rule set) needed to contribute a number to an M-W Comparandum. For each episode, we need these data:

      playerId
      episodeId
      ruleSetName
      predecessors
      achieved10
      m*

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `ruleSetName` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getKey​(MwByHuman.PrecMode mode)` | The 'key' (what comparandum, if any, this series belongs to) depends on the mode
    `boolean` | `getLearned()` |
    `String` | `getLightKey()` | Used for EveryCond; only lists the preceding, and does not include the target
    `double` | `getMDagger()` |
    `int` | `getMDaggerInt()` |
    `double` | `getMStar()` |
    `int` | `getMStarInt()` | An integer approximation to MStar
    `int` | `getTotalErrors()` |
    `int` | `getTotalMoves()` |
    `static void` | `readFromFile​(File f, Vector<MwSeries> into)` | Reads a CSV file with MwSeries entries.
    `void` | `setForcedKey​(String key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ruleSetName

          public final String ruleSetName

  - ### Method Detail

    - #### setForcedKey

          public void setForcedKey​(String key)

    - #### getKey

          public String getKey​(MwByHuman.PrecMode mode)

      The 'key' (what comparandum, if any, this series belongs to) depends on the mode

    - #### getLightKey

          public String getLightKey()

      Used for EveryCond; only lists the preceding, and does not include the target

    - #### getLearned

          public boolean getLearned()

    - #### getTotalErrors

          public int getTotalErrors()

    - #### getTotalMoves

          public int getTotalMoves()

    - #### getMStar

          public double getMStar()

    - #### getMStarInt

          public int getMStarInt()

      An integer approximation to MStar

    - #### getMDaggerInt

          public int getMDaggerInt()

    - #### getMDagger

          public double getMDagger()

    - #### readFromFile

          public static void readFromFile​(File f,
                                          Vector<MwSeries> into)
                                   throws IOException,
                                          IllegalInputException

      Reads a CSV file with MwSeries entries.
      Parameters:
        `into` - Adds the data into this vector.
      Throws:
        `IOException`
        `IllegalInputException`